<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy FramedWidget.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_framed_widget_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">FramedWidget.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_framed_widget_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef FRAMEDWIDGET_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define FRAMEDWIDGET_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QFrame&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QLabel&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QVBoxLayout&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="class_framed_widget.html">   25</a></span><span class="keyword">class </span><a class="code hl_class" href="class_framed_widget.html">FramedWidget</a> : <span class="keyword">public</span> QFrame</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">   35</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a>() = 0;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">   43</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a>() = 0;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">   49</a></span>    QLabel *<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">   53</a></span>    QVBoxLayout *<a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">   57</a></span>    <a class="code hl_function" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a>() {};</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <a class="code hl_function" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *widget_title, QWidget *parent);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QString new_title) { <a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>-&gt;setText(new_title); }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">   69</a></span>    <span class="keyword">virtual</span> <a class="code hl_function" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a>() {};</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>};</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">#endif </span><span class="comment">// FRAMEDWIDGET_HPP</span></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a1c6f4531fc17c8cd36c229a3a4f9175f"><div class="ttname"><a href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget::FramedWidget</a></div><div class="ttdeci">FramedWidget()</div><div class="ttdoc">Konstruktor domyślny.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00057">FramedWidget.hpp:57</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a40856bf6e5c17e55a9e35e24f1b9eb9f"><div class="ttname"><a href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">FramedWidget::~FramedWidget</a></div><div class="ttdeci">virtual ~FramedWidget()</div><div class="ttdoc">Wirtualny destruktor.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00069">FramedWidget.hpp:69</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a707169afc04bdd361d8060903ee94845"><div class="ttname"><a href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">FramedWidget::changeTitle</a></div><div class="ttdeci">void changeTitle(QString new_title)</div><div class="ttdoc">Zmienia nazwę widgetu / tłumaczy nazwę</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00065">FramedWidget.hpp:65</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_abcbce7540975ea1dee22fb0b8bb8109e"><div class="ttname"><a href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget::setStoredWidget</a></div><div class="ttdeci">virtual void setStoredWidget()=0</div><div class="ttdoc">Nadaje odpowiednie parametry widgetowi.</div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_aef2985a3761269e6e076651131bc1fb6"><div class="ttname"><a href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget::setVLayout</a></div><div class="ttdeci">virtual void setVLayout()=0</div><div class="ttdoc">Ustawia przechowywane widgety w pionie.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_framed_widget_8hpp.html">FramedWidget.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
